import request from '@/utils/request'

// 查询企业账号列表
export function listQiye(query) {
  return request({
    url: '/qygl/Qiye/list',
    method: 'get',
    params: query
  })
}

// 查询企业账号详细
export function getQiye(id) {
  return request({
    url: '/qygl/Qiye/' + id,
    method: 'get'
  })
}

// 新增企业账号
export function addQiye(data) {
  return request({
    url: '/qygl/Qiye',
    method: 'post',
    data: data
  })
}

// 修改企业账号
export function updateQiye(data) {
  return request({
    url: '/qygl/Qiye',
    method: 'put',
    data: data
  })
}

// 删除企业账号
export function delQiye(id) {
  return request({
    url: '/qygl/Qiye/' + id,
    method: 'delete'
  })
}


//协会重置密码
export function resetPassword(data){
	return request({
		url:"/qygl/Qiye/resetPassword",
		params:data,
	})
}



//查询企业信息变更列表
export function qyInfoBgList(data){
	return request({
		url:"/system/qy/log/list",
		params:data
	})
}


//查询变更了哪些信息
export function qyBgInfo(data){
	return request({
		url:"/system/qy/log/"+data,
	})
}
